﻿@model NavigationViewModel

@if (Model.HasVisibleChildren(Model.RootNode).Result == true)
{
<ol class="breadcrumb">
    <li>
        <a class="active" href="@Url.Content(Model.RootNode.AdjustUrl(this.Context, this.Url))">
            <i class="material-icons">home</i>
            <span>Inicio</span>
        </a>
    </li>

    @if (Model.CurrentNode != null && (Model.ParentChain.Count > 1 || (Model.TailCrumbs != null && Model.TailCrumbs.Count > 0)))
    {
        @foreach (var node in Model.ParentChain)
        {
            if (node.EqualsNode(Model.RootNode)) {
                continue;
            }

            if (node.EqualsNode(Model.CurrentNode))
            {
                if (Model.TailCrumbs != null)
                {
                    <li>
                        <a href="@Url.Content(node.AdjustUrl(this.Context, this.Url))">
                            <i class="material-icons">@node.Value.IconCssClass</i>
                            <span>@node.Value.Title</span>
                        </a>
                        <span class="divider"></span>
                    </li>
                }
                else
                {
                    <li class="active">
                        <i class="material-icons">@node.Value.IconCssClass</i>
                        <span>@node.Value.Title</span>
                    </li>
                }
            }
            else
            {
                <li>
                    <a href="@Url.Content(node.AdjustUrl(this.Context, this.Url))">
                        <i class="material-icons">@node.Value.IconCssClass</i>
                        <span>@node.Value.Title</span>
                    </a>
                    <span class="divider"></span>
                </li>
            }
        }
        @if (Model.TailCrumbs != null)
        {
            foreach (var n in Model.TailCrumbs)
            {
                <li class="active">
                    <i class="material-icons">@n.IconCssClass</i>
                    <span>@n.Title</span>
                </li>
            }
        }
    }
</ol>
}
